Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0013492
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Otherscriticalhave not tried2010-06-01 13:502010-06-04 00:00
ReportershuehnerView Statuspublic 
Assigned Toiperdomo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchpiFixed in SCM revision66876e5154ac
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0013492: pi api-check build 404 fails

DescriptionThis api check build fails:

http://builds.openbravo.com/view/All/job/erp_devel_pi-module-integrity-test/404/console [^]

 [checkAPI] 29681 ERROR - Removed row from table AD_MODEL_OBJECT - ID: 806C812ED5BB074EE040007F0101087D
 [checkAPI] 29685 ERROR - Removed row from table AD_MODEL_OBJECT - ID: 841CB8239779391BE040007F0101218F
 [checkAPI] 29699 ERROR - Removed row from table AD_MODEL_OBJECT - ID: A8ABC48F806B47338D24AE6535D8E09A
 [checkAPI] 29705 ERROR - Removed row from table AD_MODEL_OBJECT - ID: FC49944590F840BD9C9EC2F0FAF4EF52
 [checkAPI] 29709 ERROR - Removed row from table AD_MODEL_OBJECT_MAPPING - ID: 806C812ED5BC074EE040007F0101087D
 [checkAPI] 29713 ERROR - Removed row from table AD_MODEL_OBJECT_MAPPING - ID: 841CB823977A391BE040007F0101218F
 [checkAPI] 29717 ERROR - Removed row from table AD_MODEL_OBJECT_MAPPING - ID: 867B367C6E2C4375A468D926BB320467
 [checkAPI] 29721 ERROR - Removed row from table AD_MODEL_OBJECT_MAPPING - ID: EC64A51E10FD420C8A36DE545E08D595
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0012690 closediperdomo junit testcase ClassLoaderTest is not included in standard testrun (not included in *Ant*Tests) 

-  Notes
(0027858)
iperdomo (developer)
2010-06-01 13:57

This is just a AD_Model_Object and AD_Model_Object_Mapping cleanup, is used for generating the web.xml

Some JSF frameworks try to load all declared classes in web.xml and if those classes don't exist, it fails.

Check forum thread
http://ln-s.net/70l2 [^] (forge.openbravo.com)
(0027870)
pjuvara (reporter)
2010-06-01 18:40

API change accepted. Please send alert with risk level none.
(0027872)
hgbot (developer)
2010-06-01 18:54

Repository: erp/devel/api-checks
Changeset: 66876e5154ac6fba1a54b7b7c6cd67341f0c2b28
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Jun 01 18:53:55 2010 +0200
URL: http://code.openbravo.com/erp/devel/api-checks/rev/66876e5154ac6fba1a54b7b7c6cd67341f0c2b28 [^]

Fixes issue 13492: Removed unused AD_Model_Object and AD_Model_Object_Mapping

---
M model/sourcedata/AD_MODEL_OBJECT.xml
M model/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
---
(0027908)
shuehner (administrator)
2010-06-03 14:23

api-check issue -> build fine -> closing

- Issue History
Date Modified Username Field Change
2010-06-01 13:50 shuehner New Issue
2010-06-01 13:50 shuehner Assigned To => iperdomo
2010-06-01 13:50 shuehner Relationship added related to 0012690
2010-06-01 13:53 iperdomo Assigned To iperdomo => pjuvara
2010-06-01 13:57 iperdomo Note Added: 0027858
2010-06-01 18:40 pjuvara Status new => scheduled
2010-06-01 18:40 pjuvara Note Added: 0027870
2010-06-01 18:40 pjuvara Assigned To pjuvara => iperdomo
2010-06-01 18:40 pjuvara fix_in_branch => pi
2010-06-01 18:54 hgbot Checkin
2010-06-01 18:54 hgbot Note Added: 0027872
2010-06-01 18:54 hgbot Status scheduled => resolved
2010-06-01 18:54 hgbot Resolution open => fixed
2010-06-01 18:54 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/api-checks/rev/66876e5154ac6fba1a54b7b7c6cd67341f0c2b28 [^]
2010-06-03 14:23 shuehner Note Added: 0027908
2010-06-03 14:23 shuehner Status resolved => closed
2010-06-04 00:00 anonymous sf_bug_id 0 => 3011240


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker